Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class MonoDebugMethodAddressList

    java.lang.Object
      com.sun.jna.Structure
          com.ochafik.lang.jnaerator.runtime.Structure<MonoDebugMethodAddressList,MonoDebugMethodAddressList.ByValue,MonoDebugMethodAddressList.ByReference>
              com.nativelibs4java.mono.MonoDebugMethodAddressList

All Implemented Interfaces:
  StructureType, StructureTypeDependent, java.lang.Comparable<Structure<MonoDebugMethodAddressList,MonoDebugMethodAddressList.ByValue,MonoDebugMethodAddressList.ByReference>>

Direct Known Subclasses:
  MonoDebugMethodAddressList.ByReference, MonoDebugMethodAddressList.ByValue

    public class MonoDebugMethodAddressList

extends Structure<MonoDebugMethodAddressList,MonoDebugMethodAddressList.ByValue,MonoDebugMethodAddressList.ByReference>

native declaration : mono\metadata\mono-debug.h:89
This file was autogenerated by JNAerator,
a tool written by Olivier Chafik that uses a few opensource projects..
For help, please visit NativeLibs4Java, Rococoa, or JNA.

Nested Class Summary
`static class` | `MonoDebugMethodAddressList.ByReference`
`static class` | `MonoDebugMethodAddressList.ByValue`

Field Summary
`int` | `count`
`byte[]` | `data`
`int` | `size`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`MonoDebugMethodAddressList()`
`MonoDebugMethodAddressList(int size, int count, byte[] data)`

Method Summary
`protected MonoDebugMethodAddressList.ByReference` | `newByReference()`
`protected MonoDebugMethodAddressList.ByValue` | `newByValue()`
`protected MonoDebugMethodAddressList` | `newInstance()`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Structure
`byReference, byValue, clone, compareTo, getBitsAnnotation, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, toReferenceArray, toReferenceArray, toValueArray, toValueArray, useMemory, write`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory, writeField, writeField`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Field Detail

### size

    public int size

### count

    public int count

### data

    public byte[] data

Constructor Detail

### MonoDebugMethodAddressList

    public MonoDebugMethodAddressList()

### MonoDebugMethodAddressList

    public MonoDebugMethodAddressList(int size,
                                      int count,
                                      byte[] data)

Method Detail

### newByReference

    protected MonoDebugMethodAddressList.ByReference newByReference()

  Specified by:
    `newByReference` in class `Structure<MonoDebugMethodAddressList,MonoDebugMethodAddressList.ByValue,MonoDebugMethodAddressList.ByReference>`

### newByValue

    protected MonoDebugMethodAddressList.ByValue newByValue()

  Specified by:
    `newByValue` in class `Structure<MonoDebugMethodAddressList,MonoDebugMethodAddressList.ByValue,MonoDebugMethodAddressList.ByReference>`

### newInstance

    protected MonoDebugMethodAddressList newInstance()

  Specified by:
    `newInstance` in class `Structure<MonoDebugMethodAddressList,MonoDebugMethodAddressList.ByValue,MonoDebugMethodAddressList.ByReference>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD